Bug 1379921 (CVE-2016-7099) - CVE-2016-7099 nodejs: wildcard certificates not properly validated
Summary: CVE-2016-7099 nodejs: wildcard certificates not properly validated
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7099
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160928,repo...
Depends On: 1379922 1392912 1392913 1392914 1392915 1399557 1417856 1417957 1417958 1470252 1470253 1470254 1470255
Blocks: 1346916 1394602
TreeView+ depends on / blocked
 
Reported: 2016-09-28 06:35 UTC by Martin Prpič
Modified: 2019-06-08 21:28 UTC (History)
46 users (show)

Fixed In Version: nodejs 6.7.0, nodejs 4.6.0, nodejs 0.12.16, nodejs 0.10.47
Doc Type: If docs needed, set a value
Doc Text:
It was found that Node.js' tls.checkServerIdentity() function did not properly validate server certificates containing wildcards. A malicious TLS server could use this flaw to get a specially crafted certificate accepted by a Node.js TLS client.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:59:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0002 normal SHIPPED_LIVE Important: rh-nodejs4-nodejs and rh-nodejs4-http-parser security update 2017-01-02 20:55:58 UTC

Description Martin Prpič 2016-09-28 06:35:23 UTC
The following flaw was reported in Node.js:

This is a high severity defect that would allow a malicious TLS server to serve an invalid wildcard certificate for its hostname and be improperly validated by a Node.js client. This is due to a flaw in the validation of *. in the wildcard name string.

External References:

https://nodejs.org/en/blog/vulnerability/september-2016-security-releases/

Comment 1 Martin Prpič 2016-09-28 06:36:46 UTC
Created nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1379922]

Comment 6 Cedric Buissart 🐶 2016-11-08 14:29:03 UTC
Marking nodejs010-nodejs as WONTFIX because nodejs010 is past EOL.
For further information regarding Software Collection package life cycle policy, see :
https://access.redhat.com/support/policy/updates/rhscl/

Comment 9 errata-xmlrpc 2017-01-02 15:56:52 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS

Via RHSA-2017:0002 https://rhn.redhat.com/errata/RHSA-2017-0002.html

Comment 13 Jason Shepherd 2018-04-03 03:49:47 UTC
Openshift Enterprise points to rhscl/nodejs-4-rhel7 image which includes node 4.6.2, see:
https://github.com/openshift/library/blob/master/official/nodejs/imagestreams/nodejs-rhel7.json

Marking Openshift Enterprise as notaffected.


Note You need to log in before you can comment on or make changes to this bug.